%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function [x M V R d] = MaMb(Ma, Mb, L, E, I, npts)
% Returns moments, shears, rotations and deflections at npts for two
% moments applied at each end, Ma and Mb
    x = [0,0:L/npts:L,L];

    Va = (Ma+Mb)/L;
    Ra = Ma*L/3 - Mb*L/6;

    V = zeros(npts+3,1); V(:) = Va;
    M = Va.*x - Ma;
    R = (Va/2).*x.^2 - Ma.*x + Ra;
    d = (Va/6).*x.^3 - (Ma/2).*x.^2 + Ra.*x;

    R = R./(E*I); d = d./(E*I);
    V(1) = 0; V(npts+3) = 0; V = V(:);
    M(1) = 0; M(npts+3) = 0; M = M(:);
    R = R(:); d = d(:); x = x(:);
end