%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function NLM = addLM(LM1,LM2)
% adds two load matrices together, enabling superposition to be used
[nl1,x] = size(LM1); [nl2,x] = size(LM2);
NLM = zeros(nl1+nl2,x);

iNLM = 1; iLM2 = 1;
for i = 1:nl1
    cur_span = LM1(i,1);
    NLM(iNLM,:) = LM1(i,:); iNLM = iNLM+1;
    for j = iLM2:nl2
        if LM2(j,1) == cur_span
            NLM(iNLM,:) = LM2(j,:); 
            iNLM = iNLM+1; iLM2 = iLM2 + 1;
        end
    end
end