%
%    Copyright (C) 2008  Colin Caprani - www.colincaprani.com
%
%    This program is free software: you can redistribute it and/or modify
%    it under the terms of the GNU General Public License as published by
%    the Free Software Foundation, either version 3 of the License, or
%    (at your option) any later version.
%
%    This program is distributed in the hope that it will be useful,
%    but WITHOUT ANY WARRANTY; without even the implied warranty of
%    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%    GNU General Public License for more details.
%
%    You should have received a copy of the GNU General Public License
%    along with this program.  If not, see <http://www.gnu.org/licenses/>.

function [k] = k_beam(L,I,E);
% Returns the stiffness matrix of the beam element
% L = beam length
% I = cross-sectional moment of inertia
% E = material stiffness

%---Compute stiffness coefficients
kfv = 12*E*I/L^3;
kmv = 6*E*I/L^2;
kft = kmv;
kmt = 4*E*I/L;
kmth = 2*E*I/L;

%---Arrange in matrix form
k = [ kfv kft -kfv kft;
      kmv kmt -kmv kmth;
      -kfv -kft kfv -kft;
      kft kmth -kft kmt];